include:
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/mixins/docker.gitlab-ci.yml"

.job_release:image:
  stage: release
  extends: .job_docker_base
  before_script:
    - !reference [.cmd_auth_docker_gitlab_registry]
    - !reference [.cmd_auth_docker_gcloud_registry]
  script:
    - !reference [.cmd_docker_pull_and_tag]
    - !reference [.cmd_docker_push]

release:qas:
  extends:
    - .env_qas
    - .job_release:image

release:hml:
  extends:
    - .env_hml
    - .job_release:image

release:prd:
  extends:
    - .env_prd
    - .job_release:image
